Cold email agentLeads
Upload campaign leads
Authorization
bearerAuth AuthorizationBearer <token>
Paste the full personal access token or organization API key value. Examples: acq_live_..., acq_org_.... Tokens can be limited to resource/action scopes such as workspaces:read, people:write, and deals:write. Some integration endpoints require an organization key even when a personal token has the named resource scope.
In: header
Path Parameters
workspaceId*string
Workspace id.
Format
uuidcampaignId*string
Campaign id.
Format
uuidHeader Parameters
idempotency-key*string
Length
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/leads" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "leads": [ {} ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "succeeded", "links": { "self": "http://example.com" }}{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "links": { "self": "http://example.com" }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}{ "error": { "code": "string", "message": "string", "requestId": "string", "details": null }}